---------------------------------------
--
--  AddOn: Bandage Pro Beta 1
--  Date: 12.16.2006
--  Author: Stormm - Firetree
--
---------------------------------------

NumberOfBandagesUsed = 0;
Bandage_count = 0;

local ButtonTexture_Normal  = "Interface\\AddOns\\BandAids\\Icons\\Bandaid";


--Returns a chat color code string
local function BCC(r, g, b)
	return string.format("|cff%02x%02x%02x", (r*255), (g*255), (b*255));
end

local BL  = BCC(0, 0, 1);
local BLD = BCC(0, 0, 0.7);
local BLL = BCC(0.5, 0.8, 1);
local GR  = BCC(0, 1, 0);
local GRD = BCC(0, 0.7, 0);
local GRL = BCC(0.6, 1, 0.6);
local RD  = BCC(1, 0, 0);
local RDD = BCC(0.7, 0, 0);
local RDL = BCC(1, 0.3, 0.3);
local YL  = BCC(1, 1, 0);
local YLD = BCC(0.7, 0.7, 0);
local YLL = BCC(1, 1, 0.5);
local OR  = BCC(1, 0.7, 0);
local ORD = BCC(0.7, 0.5, 0);
local ORL = BCC(1, 0.6, 0.3);
local WH  = BCC(1, 1, 1);
local CY  = BCC(0.5, 1, 1);


function BandagePro_OnLoad()
    this:RegisterEvent("ZONE_CHANGED")
    this:RegisterEvent("ZONE_CHANGED_NEW_AREA")
    Create_BandageProButton()
    SetBandage_Type()
--  DEFAULT_CHAT_FRAME:AddMessage(NumberOfBandagesUsed)
    Bandage_count = NumberOfBandagesUsed
end

function BandagePro_OnEvent()
    if (event == "ZONE_CHANGED") then
        SetBandage_Type()
        
    elseif (event == "ZONE_CHANGED_NEW_AREA") then
        SetBandage_Type()
    end
end

function SetBandage_Type()
    Zone = GetRealZoneText();

    if Zone == "Arathi Basin" and IsConsumableItem("Defiler's Runecloth Bandage") then
        Bandage_Type = "Defiler's Runecloth Bandage"
    elseif Zone == "Warsong Gulch" and IsConsumableItem("Warsong Gulch Runecloth Bandage")then
        Bandage_Type = "Warsong Gulch Runecloth Bandage"
    elseif Zone == "Alterac Valley" and IsConsumableItem("Alterac Heavy Runecloth Bandage")then
        Bandage_Type = "Alterac Heavy Runecloth Bandage"
    else 
        Bandage_Type = "Heavy Runecloth Bandage"
    
    end
    BandageProButton:SetAttribute("item1", Bandage_Type)
--  DEFAULT_CHAT_FRAME:AddMessage("Zone is:" .. GRD .. Zone .. WH .." and bandages set to: " .. GRD .. Bandage_Type .. "|r")
end


function Create_BandageProButton()
  
    CreateFrame("Button", "BandageProButton", UIParent, "BandageProActionButtonTemplate,SecureActionButtonTemplate")
  
    BandageProButton:SetPoint("LEFT", 50, 50)
    BandageProButton:SetNormalTexture("Interface\\Addons\\BandagePro\\Icons\\BandageProButtonNormal")
    BandageProButton:SetAttribute("unit", "player")
    BandageProButton:SetAttribute("type1", "item")
    BandageProButton:SetAttribute("item1", nil)
  
end 

function BandagePro_SetGameTooltips()
    if ( GetCVar("UberTooltips") == "1" ) then
		GameTooltip_SetDefaultAnchor(BandageProTooltip, this);
    else
		BandageProTooltip:SetOwner(this, "ANCHOR_RIGHT");
	end
    
    Bandage_Type_Count = GetItemCount(Bandage_Type)
    BandageProTooltip:SetBackdropColor(0.0,0.0,0.0, 1.0); 
    BandageProTooltip:SetText("-- Bandage Pro --", 0.6, 1.0, 0.6);
    BandageProTooltip:AddLine("You are in " .. GR .. Zone .. WH .. ".", 1.0, 1.0, 1.0);
    BandageProTooltip:AddLine("You have: (" .. GRL .. Bandage_Type_Count .. WH .. ") " .. GR .. Bandage_Type .. "s" .. WH .. " left.", 1.0, 1.0, 1.0);
    BandageProTooltip:AddLine(" ", 1.0, 1.0, 1.0);
    BandageProTooltip:AddLine("Shift Click to move Bandage Pro's Button.", 1.0, 1.0, 1.0);
    
    BandageProTooltip:Show();
end


function Button_OnPreClick()
    -- Bandage_count = Bandage_count + 1
    -- DEFAULT_CHAT_FRAME:AddMessage("Pre-Click! Bandage count = " .. Bandage_count)
end

function Button_OnPostClick()
    -- Bandage_count = Bandage_count + 1
    -- DEFAULT_CHAT_FRAME:AddMessage("Post-Click! Bandage count = " .. Bandage_count)
end
    
